searchNodes=[{"ref":"Dataset.html","title":"Dataset","module":"Dataset","type":"module","doc":"Datasets represent labeled tabular data. Datasets are enumerable: iex&gt; Dataset.new([{:a, :b, :c}, ...&gt; {:A, :B, :C}, ...&gt; {:i, :ii, :iii}, ...&gt; {:I, :II, :III}], ...&gt; {&quot;one&quot;, &quot;two&quot;, &quot;three&quot;}) ...&gt; |&gt; Enum.map(&amp;elem(&amp;1, 2)) [:c, :C, :iii, :III] Datasets are also collectable: iex&gt; for x &lt;- 0..10, into: Dataset.empty({:n}), do: x %Dataset{labels: {:n}, rows: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]}"},{"ref":"Dataset.html#empty/1","title":"Dataset.empty/1","module":"Dataset","type":"function","doc":""},{"ref":"Dataset.html#new/2","title":"Dataset.new/2","module":"Dataset","type":"function","doc":"Construct a new dataset. A dataset is a list of tuples. With no arguments, an empty dataset with zero columns is constructed. Withf one argument a dataset is constructed with the passed object interpreted as rows and labels beginning with 0 are generated, the number of which are determined by size of the first tuple in the data. iex&gt; Dataset.new() %Dataset{rows: [], labels: {}} iex&gt; Dataset.new([{:foo, :bar}, {:eggs, :ham}]) %Dataset{rows: [foo: :bar, eggs: :ham], labels: {0, 1}} iex&gt; Dataset.new([{0,0}, {1, 1}, {2, 4}, {3, 9}], ...&gt; {:x, :x_squared}) %Dataset{labels: {:x, :x_squared}, rows: [{0, 0}, {1, 1}, {2, 4}, {3, 9}]}"},{"ref":"Dataset.html#rotate/1","title":"Dataset.rotate/1","module":"Dataset","type":"function","doc":"iex&gt; Dataset.new([{:a,:b,:c}, ...&gt; {:A, :B, :C}, ...&gt; {:i, :ii, :iii}, ...&gt; {:I, :II, :III}]) ...&gt; |&gt; Dataset.rotate() %Dataset{ labels: {0, 1, 2, 3}, rows: [{:a, :A, :i, :I}, {:b, :B, :ii, :II}, {:c, :C, :iii, :III}] }"},{"ref":"Dataset.html#to_map_list/1","title":"Dataset.to_map_list/1","module":"Dataset","type":"function","doc":""}]